spi: xilinx: Add support for xlnx,axi-quad-spi-1.00.a
authorRicardo Ribalda <ricardo.ribalda@gmail.com>
Tue, 21 Nov 2017 09:09:03 +0000 (10:09 +0100)
committerMark Brown <broonie@kernel.org>
Mon, 27 Nov 2017 16:31:20 +0000 (16:31 +0000)
The driver has been successfully tested with Xilinx's core
axi-quad-spi-1.0.0a. Documented on DS843:

https://www.xilinx.com/support/documentation/ip_documentation/axi_quad_spi/v1_00_a/ds843_axi_quad_spi.pdf

Cc: Mark Brown <broonie@kernel.org>
Cc: Rob Herring <robh+dt@kernel.org>
Cc: devicetree@vger.kernel.org
Signed-off-by: Ricardo Ribalda Delgado <ricardo.ribalda@gmail.com>
Acked-by: Rob Herring <robh@kernel.org>
Signed-off-by: Mark Brown <broonie@kernel.org>
Documentation/devicetree/bindings/spi/spi-xilinx.txt
drivers/spi/spi-xilinx.c

index c7b7856bd5281aed0f4a6e5d6bd633386733f763..7bf61efc66c8899eb97c8ca55653385267da7547 100644 (file)
@@ -2,7 +2,7 @@ Xilinx SPI controller Device Tree Bindings
 -------------------------------------------------
 
 Required properties:
 -------------------------------------------------
 
 Required properties:
-- compatible           : Should be "xlnx,xps-spi-2.00.a" or "xlnx,xps-spi-2.00.b"
+- compatible           : Should be "xlnx,xps-spi-2.00.a", "xlnx,xps-spi-2.00.b" or "xlnx,axi-quad-spi-1.00.a"
 - reg                  : Physical base address and size of SPI registers map.
 - interrupts           : Property with a value describing the interrupt
                          number.
 - reg                  : Physical base address and size of SPI registers map.
 - interrupts           : Property with a value describing the interrupt
                          number.
index e0b9fe1d0e37d98a7243ca35a56b1d62e024e8b3..63fedc49ae9ce43e6db5080e7d0778f3dc320088 100644 (file)
@@ -381,6 +381,7 @@ static int xilinx_spi_find_buffer_size(struct xilinx_spi *xspi)
 }
 
 static const struct of_device_id xilinx_spi_of_match[] = {
 }
 
 static const struct of_device_id xilinx_spi_of_match[] = {
+       { .compatible = "xlnx,axi-quad-spi-1.00.a", },
        { .compatible = "xlnx,xps-spi-2.00.a", },
        { .compatible = "xlnx,xps-spi-2.00.b", },
        {}
        { .compatible = "xlnx,xps-spi-2.00.a", },
        { .compatible = "xlnx,xps-spi-2.00.b", },
        {}